Properties Methods Events Config Options Direct Link

# Class Ext.dd.StatusProxy

Package: | Ext.dd
Defined In: | StatusProxy.js
Class: | StatusProxy
Extends: | Object

A specialized drag proxy that supports a drop status icon, Ext.Layer styles and auto-repair. This is the default drag proxy used by all Ext.dd components.

## Config Options

Config Options | Defined By
--- | ---
| dropAllowed : String The CSS class to apply to the status element when drop is allowed (defaults to "x-dd-drop-ok"). | StatusProxy
| dropNotAllowed : String The CSS class to apply to the status element when drop is not allowed (defaults to "x-dd-drop-nodrop"). | StatusProxy

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---

StatusProxy( `Object config` )
Parameters:

- `config` : Object

Returns:

- ``

StatusProxy

getEl() : Ext.Layer
Returns the underlying proxy Ext.Layer
Returns the underlying proxy Ext.Layer
Parameters:

- None.

Returns:

- `Ext.Layer`
  el

StatusProxy

getGhost() : Ext.Element
Returns the ghost element
Returns the ghost element
Parameters:

- None.

Returns:

- `Ext.Element`
  el

StatusProxy

hide( `Boolean clear` ) : void
Hides the proxy
Hides the proxy
Parameters:

- `clear` : Boolean
  True to reset the status and clear the ghost contents, false to preserve them

Returns:

- `void`

StatusProxy

repair( `Array xy`, `Function callback`, `Object scope` ) : void
Causes the proxy to return to its position of origin via an animation. Should be called after an invalid drop operat...
Causes the proxy to return to its position of origin via an animation. Should be called after an invalid drop operation by the item being dragged.
Parameters:

- `xy` : Array
  The XY position of the element ([x, y])
- `callback` : Function
  The function to call after the repair is complete
- `scope` : Object
  The scope in which to execute the callback

Returns:

- `void`

StatusProxy

reset( `Boolean clearGhost` ) : void
Resets the status indicator to the default dropNotAllowed value
Resets the status indicator to the default dropNotAllowed value
Parameters:

- `clearGhost` : Boolean
  True to also remove all content from the ghost, false to preserve it

Returns:

- `void`

StatusProxy

setStatus( `String cssClass` ) : void
Updates the proxy's visual element to indicate the status of whether or not drop is allowed over the current target e...
Updates the proxy's visual element to indicate the status of whether or not drop is allowed over the current target element.
Parameters:

- `cssClass` : String
  The css class for the new drop status indicator image

Returns:

- `void`

StatusProxy

show() : void
Displays this proxy
Displays this proxy
Parameters:

- None.

Returns:

- `void`

StatusProxy

stop() : void
Stops the repair animation if it's currently running
Stops the repair animation if it's currently running
Parameters:

- None.

Returns:

- `void`

StatusProxy

sync() : void
Force the Layer to sync its shadow and shim positions to the element
Force the Layer to sync its shadow and shim positions to the element
Parameters:

- None.

Returns:

- `void`

StatusProxy

update( `String html` ) : void
Updates the contents of the ghost element
Updates the contents of the ghost element
Parameters:

- `html` : String
  The html that will replace the current innerHTML of the ghost element

Returns:

- `void`

StatusProxy

## Public Events

This class has no public events.